<?php
if($this->session->userdata('is_logged_in')===FALSE){
    redirect('login');
}

$url = base_url("resources/template/relaas/perdata_agama/".$blangko_relaas.".rtf");

$Template = file_get_contents($url);

foreach($dataperkara->result() as $row) {
	$nomorperkara = $row->nomor_perkara;
	$tgl_daftar = $this->templatehelper->convertKeTglIndo($row->tanggal_pendaftaran);
}

$Template = str_replace("#NOMOR_PERKARA#",''.$nomorperkara.'',$Template);
$Template = str_replace("#tgl_daftar#",$tgl_daftar,$Template);

$namapn = '';
$namakota = '';

foreach ($datapengadilan->result() as $row) {
	$namapn = ucwords(strtolower($this->templatehelper->standradnaming($row->NamaPN)));
	//$namakota =str_replace("Pengadilan Agama ",'',$namapn);
	//$namakota =str_replace("Mahkamah Syar'iyah ",'',$namapn);
	$zona_waktu = trim($row->ZonaWaktu);
    $alamatSatker = $row->AlamatPN;
    $KetuaPA = $row->KetuaPNNama;
}

$Template = str_replace("Pengadilan Agama ",'',str_replace("#KOTA_PA#",ucwords(strtolower($namapn)),$Template));
$Template = str_replace("Mahkamah Syar'iyah ",'',str_replace("#KOTA_PA#",ucwords(strtolower($namapn)),$Template));

$Template = str_replace('#NAMA_PA#',''.$namapn.'',$Template);
$Template = str_replace('#KOTA_PA#',''.$namakota.'',$Template);
$Template = str_replace('#ALAMAT_PA#',''.$alamatSatker.'',$Template);
$Template = str_replace('#KETUA_PA#',''.$KetuaPA.'',$Template);
$hakimketua = '';
$tanggalpenetapanhakim = '';

$majelis = true;
$tglsidang             = '..............';
$tglpenetapansidang    = '..............';
$jamsidang             = '..............';
$harisidang            = '..............';
if($datapenetapansidang->num_rows >0){
    foreach ($datapenetapansidang->result() as $row) {
    	$tglsidang             = $this->templatehelper->convertKeTglIndo($row->sidang_pertama);
    	$tglpenetapansidang    = $this->templatehelper->convertKeTglIndo($row->penetapan_hari_sidang);
    	$jamsidang             = $row->jam_sidang;
    	$harisidang            = $this->templatehelper->getHari($row->sidang_pertama);
    }
}

$Template = str_replace("#TGL_SIDANG#",''.$tglsidang.'',$Template);
$Template = str_replace("#TGL_PHS#",''.$tglpenetapansidang.'',$Template);
$Template = str_replace("#JAM_SIDANG#",''.substr($jamsidang,0,5).' '.$zona_waktu ,$Template);
$Template = str_replace("#HARI_SIDANG#",''.$harisidang.'',$Template);

// $nama_js    = "...................";
// $jabatan    = "Jurusita Pengganti";
// if($datajurusita!=''){
//     if($datajurusita->num_rows>0){
//         foreach ($datajurusita->result() as $row) {
//             $nama_js    = $this->templatehelper->standradnaming($row->nama_gelar);
//             if($row->jabatan==1)
//                 $jabatan = "Jurusita";
//             else
//                 $jabatan = "Jurusita Pengganti";
//         }
//     } 
// }

$Template = str_replace("#JABATAN#",''.$jabatan.'',$Template);
$Template = str_replace("#NAMA_JURUSITA#",''.$nama_jurusita.'',$Template);

$tgl_putusan = '..................';
if(!empty($dataputusan)){
    if($dataputusan->num_rows>0){
        foreach ($dataputusan->result() as $row) {
            $tgl_putusan = $this->templatehelper->convertKeTglIndo($row->tanggal_putusan);
            break;
        }
    }
}
$Template = str_replace("#TGL_PUTUSAN#",''.$tgl_putusan.'',$Template);

$i=0;
$temp_pihak='';
$temp_kuasa='';
$pihak_array='';
foreach ($dataPihak1->result() as $row) {
    if($temp_pihak!=$row->id_pihak){
        $temp_pihak=$row->id_pihak;
        if($i>0){
            $pihak_array = str_replace("#ke#",' '.$this->templatehelper->converToAngkaRomawi($i), $pihak_array);
        }
        
        $pihak_array.=$row->nama.', umur '.$row->umur.' tahun, agama '.$row->agama.
                ', pekerjaan '.$row->pekerjaan.', Pendidikan '.$row->pendidikan.
                ', alamat '.$row->alamat;  
                    
        if($row->id_kuasa!=''){
            if($i>0){$pihak_array= str_replace("#DKK#",'', $pihak_array);}
            $pihak_array.=' dalam hal ini memberikan kuasa khusus kepada '.$row->nama_kuasa.
                ' #DKK# advokat/penasehat hukum dari '.$row->nama.
                ' yang berkantor di '.$row->alamat_kuasa.' berdasarkan surat kuasa khusus tanggal '.$this->templatehelper->convertKeTglIndo($row->tgl_kuasa).
                ' sebagai #SEBAGAI_P##ke#;#par#';            
        }else{
            $pihak_array.=' sebagai #SEBAGAI_P##ke#;#par#';    
        }
        $i++;
    }else{
         $pihak_array = str_replace("#DKK#",'dan kawan kawan', $pihak_array);
    }
}
if($i>1){
    $pihak_array = str_replace("#ke#",' '.$this->templatehelper->converToAngkaRomawi($i), $pihak_array);
    $pihak_array = str_replace("#par#",' \\par ', $pihak_array);
}else{
    $pihak_array = str_replace("#ke#",'', $pihak_array);
    $pihak_array = str_replace("#par#",'', $pihak_array);
}
$pihak_array = str_replace("#DKK#",'', $pihak_array);
$Template = str_replace("#loopingpenggugat#",$pihak_array,$Template);

$i=0;
$temp_pihak='';
$temp_kuasa='';
$pihak_array='';
foreach ($dataPihak2->result() as $row) {
    if($temp_pihak!=$row->id_pihak){
        $temp_pihak=$row->id_pihak;
        if($i>0){
            $pihak_array = str_replace("#ke#",' '.$this->templatehelper->converToAngkaRomawi($i), $pihak_array);
        }
        
        $pihak_array.=$row->nama.', umur '.$row->umur.' tahun, agama '.$row->agama.
                ', pekerjaan '.$row->pekerjaan.', Pendidikan '.$row->pendidikan.
                ', alamat '.$row->alamat;  
                    
        if($row->id_kuasa!=''){
            if($i>0){$pihak_array= str_replace("#DKK#",'', $pihak_array);}
            $pihak_array.=' dalam hal ini memberikan kuasa khusus kepada '.$row->nama_kuasa.
                ' #DKK# advokat/penasehat hukum dari '.$row->nama.
                ' yang berkantor di '.$row->alamat_kuasa.' berdasarkan surat kuasa khusus tanggal '.$this->templatehelper->convertKeTglIndo($row->tgl_kuasa).
                ' sebagai #SEBAGAI_T##ke#;#par#';            
        }else{
            $pihak_array.=' sebagai #SEBAGAI_T##ke#;#par#';    
        }
        $i++;
    }else{
         $pihak_array = str_replace("#DKK#",'dan kawan kawan', $pihak_array);
    }
}
if($i>1){
    $pihak_array = str_replace("#ke#",' '.$this->templatehelper->converToAngkaRomawi($i), $pihak_array);
    $pihak_array = str_replace("#par#",' \\par ', $pihak_array);
}else{
    $pihak_array = str_replace("#ke#",'', $pihak_array);
    $pihak_array = str_replace("#par#",'', $pihak_array);
}
$pihak_array = str_replace("#DKK#",'', $pihak_array);
$Template = str_replace("#loopingtergugat#",$pihak_array,$Template);
$data_t = $dataPihak2;


    foreach ($data_t->result() as $row) {
             $nama_t  =$row->nama;
             $pekerjaan_t = $row->pekerjaan;
             $alamat_t =$row->alamat;
             $umur_t   =$row->umur;
             $agama_t   =$row->agama;
             $pendidikan_t   =$row->pendidikan;
             

 }

$Template = str_replace("#nama_t#",''.$nama_t.'',$Template);
$Template = str_replace("#umur_t#",''.$umur_t.'',$Template);
$Template = str_replace("#agama_t#",''.$agama_t.'',$Template);
$Template = str_replace("#pendidikan_t#",''.$pendidikan_t.'',$Template);
$Template = str_replace("#pekerjaan_t#",''.$pekerjaan_t.'',$Template);
$Template = str_replace("#alamat_t#",''.$alamat_t.'',$Template);

$idperkara=$this->encrypt->decode(base64_decode($enc));
$idalurperkara = $this->tanggalhelper->getIDAlurPerkara($idperkara);
$jenisPerkaraID=$this->tanggalhelper->getIDJenisPerkara($idperkara);

if ($idalurperkara==15) {
    $Template = str_replace("#GUGATAN_PERMOHONAN#",''." Gugatan ".'',$Template);
    if ($jenisPerkaraID==346) {
        $Template = str_replace("#jenis_pihak1#",''." Pemohon ".'',$Template);
        $Template = str_replace("#jenis_pihak2#",''." Termohon ".'',$Template);
        $Template = str_replace("#SEBAGAI_P#","Pemohon",$Template);
        $Template = str_replace("#SEBAGAI_T#","Termohon",$Template);
    }else{
        $Template = str_replace("#jenis_pihak1#",''." Penggugat ".'',$Template);
        $Template = str_replace("#jenis_pihak2#",''." Tergugat ".'',$Template);
        $Template = str_replace("#SEBAGAI_P#","Penggugat",$Template);
        $Template = str_replace("#SEBAGAI_T#","Tergugat",$Template);
    }
}else{
    $Template = str_replace("#GUGATAN_PERMOHONAN# ",''." Permohonan ".'',$Template);   
    $Template = str_replace("#jenis_pihak1#",''." Pemohon ".'',$Template);
    $Template = str_replace("#jenis_pihak2#",''." Termohon ".'',$Template);
}

$Template = str_replace("#NAMA_P#",$dataPihak1->row(0)->nama,$Template);
$Template = str_replace("#NAMA_T#",$dataPihak2->row(0)->nama,$Template);

$Template = str_replace("#TGL_SEKARANG#",$this->templatehelper->convertKeTglIndo(date('Y-m-d')),$Template);
$Template = str_replace("#HARI_INI#",$this->templatehelper->gethari(date('Y-m-d')),$Template);

header("Content-Type: application/vnd.ms-word");
header("Expires: 0");
header("Cache-Control:  must-revalidate, post-check=0, pre-check=0");
header("Content-disposition: attachment; filename=\""."Relaas Ikrar Talak"."-".$nomorperkara.".rtf\"");
echo $Template;
?>